| GL Studio C++ Runtime API

Public Member Functions | List of all members
InterfaceDescriptionClass Class Referencefinal

`#include <util.h>`

## Public Member Functions
| InterfaceDescriptionClass (const char *code, const char *usage, const char *comment)
| InterfaceDescriptionClass (const InterfaceDescriptionClass &source)
InterfaceDescriptionClass & | operator= (const InterfaceDescriptionClass &source)
void | Code (const char *)
| Set the code member to a new value.
void | Usage (const char *)
| Set the usage member to a new value.
void | Comment (const char *)
| Set the comment member to a new value.
const char * | Code () const
const char * | Usage () const
const char * | Comment () const
| InterfaceDescriptionClass (InterfaceDescriptionClass &&source)
InterfaceDescriptionClass & | operator= (InterfaceDescriptionClass &&source)

## Detailed Description

Used to make interface information visible to the user at design time

## Constructor & Destructor Documentation

## ◆ InterfaceDescriptionClass() [1/3]

InterfaceDescriptionClass | ( | const char * | code,
|  | const char * | usage,
|  | const char * | comment
| ) |  |

Constructor

Parameters

  code | Method name only.
  usage | Full method signature.
  comment | Associated comment.

## ◆ InterfaceDescriptionClass() [2/3]

InterfaceDescriptionClass | ( | const InterfaceDescriptionClass & | source | ) |

Copy constructor

Parameters

  source | The object to copy from.

## ◆ InterfaceDescriptionClass() [3/3]

InterfaceDescriptionClass | ( | InterfaceDescriptionClass && | source | ) |
| inline

Move constructor

Parameters

  source | The object to move from.

## Member Function Documentation

## ◆ Code()

const char * Code | ( |  | ) | const
| inline

Returns
  The current code member.

## ◆ Comment()

const char * Comment | ( |  | ) | const
| inline

Returns
  The current comment member.

## ◆ operator=() [1/2]

InterfaceDescriptionClass & operator= | ( | const InterfaceDescriptionClass & | source | ) |

Assignment constructor

Parameters

  source | The object to copy from.

Returns
  The resulting object (this).

## ◆ operator=() [2/2]

InterfaceDescriptionClass & operator= | ( | InterfaceDescriptionClass && | source | ) |
| inline

Assignment move operator

Parameters

  source | The object to move from.

Returns
  The resulting object (this).

## ◆ Usage()

const char * Usage | ( |  | ) | const
| inline

Returns
  The current usage member.

The documentation for this class was generated from the following file:

- util.h